Package org.eclipse.emf.cdo.spi.common

## Class AbstractQueryResult<T>

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.AbstractQueryResult<T>

- All Implemented Interfaces:
    `java.util.Iterator<T>`, `BlockingCloseableIterator<T>`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.collection.CloseableIterator<T>`
  Direct Known Subclasses:
    `AbstractQueryIterator`

      public class AbstractQueryResult<T>
      extends java.lang.Object
      implements BlockingCloseableIterator<T>

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractQueryResult​(CDOCommonView view, CDOQueryInfo queryInfo, int queryID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `int` | `getQueryID()` |
    `CDOQueryInfo` | `getQueryInfo()` |
    `CDOQueryQueue<java.lang.Object>` | `getQueue()` |
    `CDOCommonView` | `getView()` |
    `boolean` | `hasNext()` |
    `boolean` | `isClosed()` |
    `T` | `next()` |
    `T` | `peek()` | Non-blocking call.
    `void` | `remove()` |
    `void` | `setQueryID​(int queryID)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### AbstractQueryResult

          public AbstractQueryResult​(CDOCommonView view,
                                     CDOQueryInfo queryInfo,
                                     int queryID)

      Since:
        3.0

  - ### Method Detail

    - #### getView

          public CDOCommonView getView()

    - #### getQueryInfo

          public CDOQueryInfo getQueryInfo()

      Since:
        3.0

    - #### getQueryID

          public int getQueryID()

    - #### getQueue

          public CDOQueryQueue<java.lang.Object> getQueue()

    - #### setQueryID

          public void setQueryID​(int queryID)

    - #### peek

          public T peek()

      Description copied from interface: `BlockingCloseableIterator`
      Non-blocking call.
      Specified by:
        `peek` in interface `BlockingCloseableIterator<T>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<T>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.eclipse.net4j.util.collection.Closeable`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in interface `org.eclipse.net4j.util.collection.Closeable`